<app-toolbar [title]="title" />
<div *ngIf="!selectedRestaurant">
  <div class="flex gap-4 justify-center mb-4">
    <button mat-raised-button color="primary" (click)="addRestaurant()"> Add Restaurant </button>
    <button mat-raised-button color="warn" (click)="deleteRestaurant()"> Delete Restaurant </button>
  </div>
  <div class="flex gap-4 justify-center mt-4 flex-wrap">
    <app-restaurant-card
      *ngFor="let restaurant of restaurants; let index = index"
      class="cursor-pointer hover:scale-105 transition"
      [restaurant]="restaurant"
      (click)="selectRestaurant(restaurant)"
    ></app-restaurant-card>
  </div>
</div>

<app-restaurant-details
  *ngIf="selectedRestaurant"
  [restaurant]="selectedRestaurant"
  (closed)="closeRestaurant()"
/>
